from odoo import fields, models


class TemplateListWizard(models.TransientModel):
    _name = "template.list.wizard"
    _description = "Template List Wizard"

    name = fields.Char(
        string="Name",
        required=True,
        help="Name of the redner template",
    )

    description = fields.Char(
        string="Description",
        help="Description of the template",
    )

    def populate(self, templates):
        self.search([]).unlink()
        print("populating..")
        for t in templates:
            print(t)
            self.create(
                {
                    "name": t["name"],
                    "description": t["description"],
                }
            )
        print("populated.")

    def action_select_template(self):
        template = self.env["redner.template"].browse(self.env.context.get("active_id"))
        print(template)
        t_name = self.env.context.get("template_id")
        print(t_name)
        template.write(
            {
                "name": t_name,
                "redner_id": t_name,
                "active": True,
                "source": "redner",
            }
        )
        return {
            "type": "ir.actions.act_window",
            "res_model": "redner.template",
            "view_mode": "form",
            "res_id": template.id,
            "target": "current",
        }
